<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d0/d2a/classThread_1_1NcpSpi.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::NcpSpi Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a3a325e6ac211c2a40186dd78d1e88e42">HandleReceive</a>(const uint8_t *buf, uint16_t bufLength)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a22e9a31900fdf4eb3ef49dc32987f44c">HandleSpaceAvailableInTxBuffer</a>(void)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c">IncrementFrameErrorCounter</a>(void)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mInstance</b> (defined in <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a>)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a6a04825243722f9500cac2818a07c7b4">NcpBase</a>(otInstance *aInstance)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a755449adff7ec14f4985ac462c7914bd">NcpSpi</a>(otInstance *aInstance)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a114f7f0fc7acef21a0c20c6b3910babb">OutboundFrameBegin</a>(void)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#ae9c67ca2e9b95ac4a4fa5650d44a2eed">OutboundFrameEnd</a>(void)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a636c968d8cce6cbf116c1bf22fb72ecd">OutboundFrameFeedData</a>(const uint8_t *frame, uint16_t frameLength)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a9614ae49bf12256c3b0086c55a877142">OutboundFrameFeedMessage</a>(Message &amp;message)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ReceiveTask</b>(const uint8_t *aBuf, uint16_t aBufLength) (defined in <a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a>)</td><td class="entry"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SendPropertyUpdate</b>(uint8_t header, uint8_t command, spinel_prop_key_t key, const uint8_t *value_ptr, uint16_t value_len) (defined in <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a>)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SendPropertyUpdate</b>(uint8_t header, uint8_t command, spinel_prop_key_t key, Message &amp;message) (defined in <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a>)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SendPropertyUpdate</b>(uint8_t header, uint8_t command, spinel_prop_key_t key, const char *format,...) (defined in <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a>)</td><td class="entry"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
